-- since this is just an example spec, don't actually load anything here and return an empty spec
-- stylua: ignore
return {
  {
  "stevearc/conform.nvim",
    opts ={
    formatters_by_ft = {
        lua = { 'stylua' },
        javascript = { 'clang-format' },
        typescript = { 'clang-format' },
        ts = { 'clang-format' },
        cs = { 'clang-format' },
    },
    }
  },
{
    'stevearc/oil.nvim',
    opts = {},
    -- Optional dependencies
    dependencies = { 'nvim-tree/nvim-web-devicons' },
    config = function()
      require('oil').setup {}
      vim.keymap.set('n', '-', '<CMD>Oil<CR>', { desc = 'Open parent directory' })
    end,
  },
}
